Runtime

## org.eclipse.gmf.runtime.common.ui.services.dnd.core
Interface ITransferAgent

All Known Implementing Classes:
  TransferAgent

public interface ITransferAgent

Interface to be implemented by providers of new transfer agents for drag and drop operations

Method Summary
`ISelection` `getSelection(TransferData transferData)` Return the selection if the transfer is a selection transfer
`Transfer` `getTransfer()` Returns the transfer agent
`java.lang.String` `getTransferId()` Returns the unique id for this transfer agent
`boolean` `isSelectionType()` Returns a boolean indicating whether the transfer agent is selection transfer
`void` `setSelection(ISelection selection)` Set the selection if the transfer is a selection transfer

Method Detail

### getTransferId

    public java.lang.String getTransferId()

  Returns the unique id for this transfer agent

  Returns:
    String the transfer id

### getTransfer

    public Transfer getTransfer()

  Returns the transfer agent

  Returns:
    Transfer the transfer

### isSelectionType

    public boolean isSelectionType()

  Returns a boolean indicating whether the transfer agent is selection transfer

  Returns:
    boolean true or false

### setSelection

    public void setSelection(ISelection selection)

  Set the selection if the transfer is a selection transfer

  Parameters:
    `selection` - The selection to be set

### getSelection

    public ISelection getSelection(TransferData transferData)

  Return the selection if the transfer is a selection transfer

  Parameters:
    `transferData` - the platform specific representation of the data to be converted
  Returns:
    ISelection the selection

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.